ARTSPPINC = -I@artspp@/include
ARTSPPLIB = -L@artspp@/lib -lArts
SNMPPINC  = -I../../snmp++/classes/include
SNMPPPLIB = ../../snmp++/classes/lib/libsnmp++.la
CFDINC = -I../../classes/include -I../../include -I.
CFDLIB = ../../classes/lib/libCfd.la
OBJECTS = cfdifmatrix.o
CXX = @CXX@
CXXFLAGS = @CXXFLAGS@
top_builddir = ../..
LIBTOOL = @ /bin/sh $(top_builddir)/libtool

all: cfdifmatrix

cfdifmatrix: ${OBJECTS} ${CFDLIB}
	${LIBTOOL} ${CXX} ${CXXFLAGS} ${OBJECTS} ${CFDLIB} ${ARTSPPLIB} \
	  ${SNMPPPLIB} @FLEXLIB@ @LIBS@ -o cfdifmatrix -rpath @artspp@/lib

cfdifmatrix.o: cfdifmatrix.cc
	${CXX} ${CXXFLAGS} -c cfdifmatrix.cc ${CFDINC} ${ARTSPPINC} ${SNMPPINC}

clean::
	rm -f ${OBJECTS} cfdifmatrix
	rm -Rf .libs

strip: all
	@ -if [ -f .libs/cfdifmatrix ]; then \
	  strip .libs/cfdifmatrix ; \
	else \
	  strip cfdifmatrix ; \
	fi

install: all
	${LIBTOOL} ../../install-sh -c -m 555 cfdifmatrix @bindir@/cfdifmatrix
	../../install-sh -c -m 444 cfdifmatrix.man @mandir@/manl/cfdifmatrix.l

tarball::
	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/cfdifmatrix
	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @mandir@/manl/cfdifmatrix.l



